[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
</ol>

<h2>Create new book</h2>
<semantic-form
  persistence='LDP'
	browser-persistence='false'
  post-action='redirect'
  fields="[[fieldDefinitions
  			carrier_production_event="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/carrier_production_event"
  			expression_creation="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/expression_creation"
  			reproduction_event="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/reproduction_event"
        record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/book_record_type"
        publication_event="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/publication_event"
        short_title="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/short_title"
  ]]"
  subject=[[singleValueFromSelect "SELECT ?newIRI WHERE { BIND(uri(concat(\"http://sphaera.mpiwg-berlin.mpg.de/id/item/\",STRUUID())) as ?newIRI)}"]]
>

  <semantic-form-text-input for="short_title">
  </semantic-form-text-input>

  <div class="disabled hidden-field">
    <semantic-form-text-input for="record_type"></semantic-form-text-input>
    <semantic-form-text-input for="carrier_production_event"></semantic-form-text-input>
    <semantic-form-text-input for="expression_creation"></semantic-form-text-input>
    <semantic-form-text-input for="publication_event"></semantic-form-text-input>
    <semantic-form-text-input for="reproduction_event"></semantic-form-text-input>
  </div>

  <div class="text-right form-submit">
    <button name="submit" class="btn btn-primary btn-md">Save</button>
  </div>

</semantic-form>

[[> :footer]]
